Bug 431287 - livecd-creator traceback trying to open a nonexistant dir
livecd-creator traceback trying to open a nonexistant dir
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 23:19 EST by Matt Domsch
Modified: 2008-02-04 11:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-04 11:39:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2008-02-01 23:19:45 EST
Description of problem:

Traceback (most recent call last):
  File "/usr/bin/livecd-creator", line 132, in <module>
    sys.exit(main())
  File "/usr/bin/livecd-creator", line 122, in main
    creator.package()
  File "//usr/lib/python2.5/site-packages/imgcreate/creator.py", line 655, in
package
    self._stage_final_image()
  File "//usr/lib/python2.5/site-packages/imgcreate/live.py", line 295, in
_stage_final_image
    self._image, minimal_size)
  File "//usr/lib/python2.5/site-packages/imgcreate/fs.py", line 393, in
create_image_minimizer
    cowloop.create()
  File "//usr/lib/python2.5/site-packages/imgcreate/fs.py", line 193, in create
    self.expand(create = True)
  File "//usr/lib/python2.5/site-packages/imgcreate/fs.py", line 179, in expand
    fd = os.open(self.lofile, flags)
OSError: [Errno 20] Not a directory: 
'/var/tmp/imgcreate-zEGxPt/iso-G3ZT2_/LiveOS/osmin'

Version-Release number of selected component (if applicable):
git HEAD 5c0279b8e95682d20526a5ba36fc4eaab81d2198
(as of 2008-02-01)

It did not do this as of commit
536d0ed3898231573ccd4d1f9f4f91f6c37efd12
a few days earlier.

How reproducible:
always

Steps to Reproduce:
1. livecd-creator -c livecd-fedora-8-desktop.ks
2. wait until after all RPMs are installed and file systems are checked
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matt Domsch 2008-02-02 17:42:26 EST
jeremy, as always, has the answer.   Commit
901f0871dfc99b04c184301603a808c36c958442

is also needed to be applied to the -base*.ks configs.  Having done so for the
Fedora 8 -base.ks file, the build succeeds.
	 
Comment 2 Jeremy Katz 2008-02-03 09:31:22 EST
Note that that's hopefully just a temporary change needed... breaking compat
with working configs would be unfortunate.  So thanks for reminding me so that I
can be sure to have it cleaned up before building livecd-tools-014, which I'm
hoping to get out this week.
Comment 3 Jeremy Katz 2008-02-04 11:39:57 EST
Applied the change to the f8 configs in git.  There's not really a good way to
avoid it with the changes without a pretty gross hack.  If more people start
hitting it with custom configs, though, then I'll add the hack

Note You need to log in before you can comment on or make changes to this bug.